Bug 1667895 - [Samba-MacOS] vfs_gluster_fgetxattr error messages while performing file operations in MacOS
Summary: [Samba-MacOS] vfs_gluster_fgetxattr error messages while performing file oper...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: samba
Version: rhgs-3.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: RHGS 3.5.0
Assignee: Guenther Deschner
QA Contact: Vivek Das
URL:
Whiteboard:
Depends On:
Blocks: 1696807
TreeView+ depends on / blocked
 
Reported: 2019-01-21 11:05 UTC by Vivek Das
Modified: 2019-10-30 12:18 UTC (History)
4 users (show)

Fixed In Version: samba-4.9.8-107.el7rhgs, samba-4.9.8-107.el6rhs
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-30 12:18:28 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:3253 None None None 2019-10-30 12:18:41 UTC
Samba Project 13968 None None None 2019-08-06 09:18:08 UTC

Description Vivek Das 2019-01-21 11:05:29 UTC
Description of problem:
On copying data from local drive to samba volume share in MacOS and also while creating directories in samba share, I see below error messages (No functionality impact is seen)


[2019/01/21 09:43:06.548722,  0] ../source3/smbd/open.c:1290(open_file)
  Error doing fstat on open file MacOS-01/user1:com.apple.finder.copy.source.inode#N (No data available)
[2019/01/21 09:43:06.585085,  0] ../source3/smbd/open.c:1290(open_file)
  Error doing fstat on open file MacOS-01/user1:com.apple.finder.copy.source.volumeuuid#N (No data available)
[2019/01/21 09:44:38.956343,  0] ../source3/modules/vfs_glusterfs.c:1491(vfs_gluster_fgetxattr)
  vfs_gluster_fgetxattr: Failed to fetch gluster fd
[2019/01/21 09:44:39.082536,  0] ../source3/modules/vfs_glusterfs.c:1491(vfs_gluster_fgetxattr)
  vfs_gluster_fgetxattr: Failed to fetch gluster fd
[2019/01/21 09:45:14.123311,  0] ../source3/modules/vfs_glusterfs.c:1491(vfs_gluster_fgetxattr)
  vfs_gluster_fgetxattr: Failed to fetch gluster fd


[2019/01/21 09:45:45.319677,  0] ../source3/modules/vfs_glusterfs.c:1491(vfs_gluster_fgetxattr)
  vfs_gluster_fgetxattr: Failed to fetch gluster fd
[2019/01/21 09:46:14.828403,  0] ../source3/modules/vfs_glusterfs.c:1491(vfs_gluster_fgetxattr)
  vfs_gluster_fgetxattr: Failed to fetch gluster fd
[2019/01/21 09:47:16.736884,  0] ../source3/modules/vfs_glusterfs.c:1491(vfs_gluster_fgetxattr)
  vfs_gluster_fgetxattr: Failed to fetch gluster fd
[2019/01/21 09:47:48.203647,  0] ../source3/modules/vfs_glusterfs.c:1491(vfs_gluster_fgetxattr)
  vfs_gluster_fgetxattr: Failed to fetch gluster fd
[2019/01/21 09:47:48.295876,  0] ../source3/modules/vfs_glusterfs.c:1491(vfs_gluster_fgetxattr)
  vfs_gluster_fgetxattr: Failed to fetch gluster fd
[2019/01/21 09:47:48.358598,  0] ../source3/modules/vfs_glusterfs.c:1491(vfs_gluster_fgetxattr)
  vfs_gluster_fgetxattr: Failed to fetch gluster fd


Version-Release number of selected component (if applicable):
samba-4.8.5-104.el7rhgs.x86_64
glusterfs-server-3.12.2-37.el7rhgs.x86_64

How reproducible:
Always

Steps to Reproduce:
1.Mount gluster volume in MacOS
2.Copy data from local drive to share mount
3.Right click and create directory in share mount

Actual results:
Error messages are logged in samba client logs

Expected results:
No error messages should be seen

Additional info:

Volume Name: volkswagen
Type: Distributed-Replicate
Volume ID: 565e8e80-2514-4321-93c2-3a8ae15c85ea
Status: Started
Snapshot Count: 0
Number of Bricks: 2 x 3 = 6
Transport-type: tcp
Bricks:
Brick1: dhcp41-232.lab.eng.blr.redhat.com:/bricks/brick0/volkswagen_brick0
Brick2: dhcp41-233.lab.eng.blr.redhat.com:/bricks/brick0/volkswagen_brick1
Brick3: dhcp41-229.lab.eng.blr.redhat.com:/bricks/brick0/volkswagen_brick2
Brick4: dhcp41-230.lab.eng.blr.redhat.com:/bricks/brick0/volkswagen_brick3
Brick5: dhcp41-232.lab.eng.blr.redhat.com:/bricks/brick1/volkswagen_brick4
Brick6: dhcp41-233.lab.eng.blr.redhat.com:/bricks/brick1/volkswagen_brick5
Options Reconfigured:
performance.cache-samba-metadata: on
performance.readdir-ahead: on
performance.nl-cache-timeout: 600
performance.nl-cache: on
performance.parallel-readdir: on
network.inode-lru-limit: 200000
performance.md-cache-timeout: 600
performance.cache-invalidation: on
performance.stat-prefetch: on
features.cache-invalidation-timeout: 600
features.cache-invalidation: on
user.smb: enable
user.cifs: enable
transport.address-family: inet
nfs.disable: on
performance.client-io-threads: off

Comment 7 Vivek Das 2019-09-24 14:43:52 UTC
Followed the steps to reproduce and I am unable to reproduce the issue in 
samba-4.9.8-108.el7rhgs.x86_64
glusterfs-libs-6.0-14.el7rhgs.x86_64

Comment 9 errata-xmlrpc 2019-10-30 12:18:28 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3253


Note You need to log in before you can comment on or make changes to this bug.